<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/View/KOTabBar.m 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_k_o_tab_bar_8m_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">KOTabBar.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_k_o_tab_bar_8m.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  KOTabBar.m</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by 江俊辰 on 2017/7/26.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_k_o_tab_bar_8h.html">KOTabBar.h</a>&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &lt;CKKit/CKKit.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_utils_macros_8h.html">UtilsMacros.h</a>&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="_k_o_tab_bar_8m.html#a40bc236ffd6b04e2173d7b47bb19c3da">   13</a></span>&#160;<span class="keyword">const</span> CGFloat <a class="code" href="_k_o_tab_bar_8m.html#a40bc236ffd6b04e2173d7b47bb19c3da">KOTabBarHeight</a> = 50;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">@implementation </span><a class="code" href="interface_k_o_tab_bar.html">KOTabBar</a></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;+ (instancetype)<a class="code" href="interface_k_o_tab_bar.html#a5ef0ade305a8f9da3f7d38f539886b45">tabBar</a> {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keywordflow">return</span> [[<span class="keyword">self</span> alloc] initWithFrame:CGRectMake(0, 0, kScreenWidth, KOTabBarHeight)];</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;}</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;- (instancetype)initWithFrame:(CGRect)frame {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">self</span> = [<span class="keyword">super</span> initWithFrame:frame];</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keywordflow">if</span> (<span class="keyword">self</span>) {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        [<span class="keyword">self</span> _commonInit];</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    }</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;- (instancetype)initWithCoder:(NSCoder *)coder {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keyword">self</span> = [<span class="keyword">super</span> initWithCoder:coder];</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keywordflow">if</span> (<span class="keyword">self</span>) {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        [<span class="keyword">self</span> _commonInit];</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    }</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">self</span>;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;}</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;- (void)_commonInit {</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keyword">self</span>.itemTitleColor = RGBCOLOR(42, 51, 58);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keyword">self</span>.itemTitleSelectedColor = RGBCOLOR(41, 196, 182);</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keyword">self</span>.itemTitleFont = <a class="code" href="_utils_macros_8h.html#a90ce666df00af4b5d9241613ba0c4b8a">PingFangFont</a>(<span class="stringliteral">@&quot;PingFangSC-Regular&quot;</span>, 13);</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keyword">self</span>.itemTitleSelectedFont = <a class="code" href="_utils_macros_8h.html#a90ce666df00af4b5d9241613ba0c4b8a">PingFangFont</a>(<span class="stringliteral">@&quot;PingFangSC-Medium&quot;</span>, 13);</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">//    self.indicatorColor = kDefTintColor;</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">self</span>.indicatorScrollFollowContent = YES;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment">//    self.itemFontChangeFollowContentScroll = YES;</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">//    [self setIndicatorInsets:UIEdgeInsetsMake(KOTabBarHeight - 2, 0, 0, 0) tapSwitchAnimated:YES];</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment">//    self.indicatorImage = Image(@&quot;XHXTabbar_Indicator&quot;);</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keyword">self</span>.indicatorColor = <span class="keyword">self</span>.itemTitleSelectedColor;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="comment">//    [self setIndicatorSize:CGSizeMake(20, 2) tapSwitchAnimated:YES];</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;}</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;- (void)setItems:(NSArray&lt;<a class="code" href="interface_x_h_x_tab_item.html">XHXTabItem</a> *&gt; *)items {</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    [<span class="keyword">super</span> setItems:items];</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordflow">if</span> (!<a class="code" href="interface_x_h_x_tabbar.html#afbfabce47d56f30217ee488b6bda2a1e">items</a> || <a class="code" href="interface_x_h_x_tabbar.html#afbfabce47d56f30217ee488b6bda2a1e">items</a>.count == 0) {</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        [<span class="keyword">self</span> setIndicatorPosition:IndicatorPositonMake(0, 0, 0) tapSwitchAnimated:YES];</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        <span class="keywordflow">return</span>;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    }</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    [<span class="keyword">self</span> setIndicatorPosition:IndicatorPositonMake(0, kScreenWidth/items.count, 1) tapSwitchAnimated:YES];</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;}</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_k_o_tab_bar_8h_html"><div class="ttname"><a href="_k_o_tab_bar_8h.html">KOTabBar.h</a></div></div>
<div class="ttc" id="ainterface_k_o_tab_bar_html_a5ef0ade305a8f9da3f7d38f539886b45"><div class="ttname"><a href="interface_k_o_tab_bar.html#a5ef0ade305a8f9da3f7d38f539886b45">+[KOTabBar tabBar]</a></div><div class="ttdeci">instancetype tabBar()</div><div class="ttdef"><b>Definition:</b> <a href="_k_o_tab_bar_8m_source.html#l00013">KOTabBar.m:17</a></div></div>
<div class="ttc" id="ainterface_k_o_tab_bar_html"><div class="ttname"><a href="interface_k_o_tab_bar.html">KOTabBar</a></div><div class="ttdef"><b>Definition:</b> <a href="_k_o_tab_bar_8h_source.html#l00015">KOTabBar.h:16</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html"><div class="ttname"><a href="interface_x_h_x_tab_item.html">XHXTabItem</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00018">XHXTabItem.h:19</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_afbfabce47d56f30217ee488b6bda2a1e"><div class="ttname"><a href="interface_x_h_x_tabbar.html#afbfabce47d56f30217ee488b6bda2a1e">XHXTabbar::items</a></div><div class="ttdeci">NSArray&lt; XHXTabItem * &gt; * items</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00047">XHXTabbar.h:47</a></div></div>
<div class="ttc" id="a_k_o_tab_bar_8m_html_a40bc236ffd6b04e2173d7b47bb19c3da"><div class="ttname"><a href="_k_o_tab_bar_8m.html#a40bc236ffd6b04e2173d7b47bb19c3da">KOTabBarHeight</a></div><div class="ttdeci">const CGFloat KOTabBarHeight</div><div class="ttdef"><b>Definition:</b> <a href="_k_o_tab_bar_8m_source.html#l00013">KOTabBar.m:13</a></div></div>
<div class="ttc" id="a_utils_macros_8h_html"><div class="ttname"><a href="_utils_macros_8h.html">UtilsMacros.h</a></div></div>
<div class="ttc" id="a_utils_macros_8h_html_a90ce666df00af4b5d9241613ba0c4b8a"><div class="ttname"><a href="_utils_macros_8h.html#a90ce666df00af4b5d9241613ba0c4b8a">PingFangFont</a></div><div class="ttdeci">#define PingFangFont(name, tsize)</div><div class="ttdef"><b>Definition:</b> <a href="_utils_macros_8h_source.html#l00053">UtilsMacros.h:52</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="dir_58116f0956a3b8f0aff41852036238d2.html">View</a></li><li class="navelem"><a class="el" href="_k_o_tab_bar_8m.html">KOTabBar.m</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
